# PhonespeakApi.Account

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The unique identifier of account | [optional] 
**companyName** | **String** | Company name | [optional] 
**tenantId** | **String** | Portsip tenant&#39;s id | [optional] 
**tenantPassword** | **String** | Portsip tenant&#39;s password | [optional] 
**mainConferenceNo** | **String** | Main confernce number | [optional] 
**callCredit** | **Number** | Credit for international calling | [optional] 
**isAutoTopupCredit** | **Boolean** | The flag of top up call credit automatically | [optional] 
**topupCredit** | **Number** | The amount of auto topup credit | [optional] 
**lastTopupDate** | **Date** | The last top up date | [optional] 
**weeklyTopUpLimit** | **Number** | Weekly Top Up Limit | [optional] 
**isCompanySetup** | **Boolean** | The flag of company is setup or not | [optional] 
**isEnableCallerId** | **Boolean** | The flag of enable the caller Id name | [optional] 
**timeZone** | **String** | Company timezone setting | [optional] 
**sipRealm** | **String** | SipRealm | [optional] 
**srvId** | **String** | Srv Id in CloudFlare | [optional] 
**hostAId** | **String** | HostA Id in CloudFlare | [optional] 
**callerId** | **String** | Company caller Id | [optional] 
**resellerId** | **String** | Reseller Id | [optional] 
**status** | **Number** | Account Status | [optional] 
**isEnableCallRecording** | **Boolean** | Flag indicate the account is enable the call recording. | [optional] 
**isEnableInternationalCall** | **Boolean** | Flag indicate the account is valid for do international call. | [optional] 
**isCsrEnableInternationalCall** | **Boolean** | Flag indicate the account is valid for do international call by Csr. | [optional] 
**isVerifiedInternationalCall** | **Boolean** | Flag indicate the account is verified for do international call. | [optional] 
**cancelJobId** | **String** | Cancellation job id | [optional] 
**stripeInfo** | [**StripeInfo**](StripeInfo.md) | Stripe Info | [optional] 
**stripeCharges** | [**[StripeCharge]**](StripeCharge.md) | Account stripe charges. | [optional] 
**billingContacts** | [**[BillingContact]**](BillingContact.md) | List of Billing Contact | [optional] 
**accountCurrentExtension** | [**AccountCurrentExtension**](AccountCurrentExtension.md) | Current Extension | [optional] 
**companyAddress** | [**Address**](Address.md) | Company address | [optional] 
**e911Address** | [**E911Address**](E911Address.md) | Company E911 address | [optional] 
**accountSetting** | [**AccountSetting**](AccountSetting.md) | Account setting | [optional] 
**musicOnHolds** | [**[MusicOnHold]**](MusicOnHold.md) | List of music on hold | [optional] 
**rateDecks** | [**[RateDeck]**](RateDeck.md) | RateDecks | [optional] 
**tollFreeRateDeck** | [**RateDeck**](RateDeck.md) | Toll Free RateDeck | [optional] 
**country** | **String** | Account&#39;s country | [optional] 
**countryDetail** | [**Country**](Country.md) | Account&#39;s country&#39;s object | [optional] 
**billingAddress** | [**BillingAddress**](BillingAddress.md) | Billing address object | [optional] 
**createdDate** | **Date** | Account&#39;s creation date | [optional] 
**createdBy** | **String** | Account&#39;s created by | [optional] 
**updatedDate** | **Date** | Account&#39;s updated date | [optional] 
**updatedBy** | **String** | Account&#39;s updated by | [optional] 
**cancelledDate** | **Date** | Account cancelled date | [optional] 
**suspendedDate** | **Date** | Account suspended date | [optional] 
**lastUpdatedContactDate** | **Date** | This property use for CloudSoftPhone contact purpose | [optional] 


