# PhonespeakApi.CompanyNumber

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | CompanyNumber Id | [optional] 
**accountId** | **String** | Account Id | [optional] 
**name** | **String** | Company Number Name | 
**description** | **String** | Company Number Description | [optional] 
**_number** | **String** | Company Number&#39;s default phone number | [optional] 
**phoneNumbers** | [**[PhoneNumber]**](PhoneNumber.md) | Company Numbers | [optional] 
**callerIDPermission** | **[String]** | Company Number permission for number usage | [optional] 
**extension** | **String** | Company Number Extension | [optional] 
**businessHour** | [**BusinessHour**](BusinessHour.md) | Company Business Hour | [optional] 
**callHandlingOpenHour** | [**CallHandlingOpenHour**](CallHandlingOpenHour.md) | Company Call Handling Open Hour | [optional] 
**callHandlingClosedHour** | [**CallHandlingClosedHour**](CallHandlingClosedHour.md) | Company Call Handling Closed Hour | [optional] 
**smsHandling** | [**SMSHandling**](SMSHandling.md) | SMS Handling | [optional] 
**callerId** | **String** | Company Number Caller Id | [optional] 
**callRecordingSetting** | **Number** | Company Call Recording Setting | [optional] 
**isDeleted** | **Boolean** | Is deleted? | [optional] 
**ivr** | [**[Ivr]**](Ivr.md) | Company Number&#39;s Ivr Number | [optional] 
**createdDate** | **Date** | Created Date | [optional] 
**createdBy** | **String** | Created By | [optional] 
**updatedDate** | **Date** | Updated Date | [optional] 
**updatedBy** | **String** | Updated By | [optional] 
**isDefault** | **Boolean** | Is Default | [optional] 


