# PhonespeakApi.CsrAccount

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The unique identifier of account | [optional] 
**companyName** | **String** | Company name | [optional] 
**createdDate** | **Date** | Account&#39;s creation date | [optional] 
**reseller** | **String** | Reseller | [optional] 
**packageId** | **String** | PackageId | [optional] 
**planId** | **String** | PlanId | [optional] 
**planPrice** | **Number** | Plan Price | [optional] 
**status** | **Number** | Account Status | [optional] 
**csrInternationalCall** | **Boolean** | Flag indicate the account is valid for do international call. | [optional] 
**callUsage** | **Number** | Maximum teammate&#39;s call usage | [optional] 
**smsUsage** | **Number** | Maximum teammate&#39;s sms usage | [optional] 
**weeklyTopUpLimit** | **Number** | Weekly top up limit | [optional] 
**adminId** | **String** | Admin Teammate Id | [optional] 
**country** | **String** | Admin Country | [optional] 
**totalPhoneNumber** | **Number** | Total PhoneNumber | [optional] 
**totalTeammate** | **Number** | Total Teammate | [optional] 
**setting** | [**AccountSetting**](AccountSetting.md) | Account Setting | [optional] 
**callCredit** | **Number** | Call Credit | [optional] 
**desktopLastLogin** | **Date** | Desktop LastLogin | [optional] 
**mobileLastLogin** | **Date** | Mobile LastLogin | [optional] 


