# PhonespeakApi.Order

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | Order&#39;s Id | [optional] 
**trackingLink** | **String** | Shipment Tracking Link | [optional] 
**referenceId** | **String** | Reference Id | [optional] 
**accountId** | **String** | Account Id | [optional] 
**orderBy** | **String** | Order By (Owner) | [optional] 
**ordererName** | **String** | Orderer Name | [optional] 
**ordererContactNumber** | **String** | Orderer Contact Number | [optional] 
**ordererEmail** | **String** | Orderer Email | [optional] 
**createdDate** | **Date** | Created Date (Order&#39;s Date) | [optional] 
**expectedDeliveredDate** | **Date** | Expected Delivered Date | [optional] 
**items** | [**[Item]**](Item.md) | Item list | [optional] 
**payment** | [**OrderPaymentInfo**](OrderPaymentInfo.md) | Payment Info | [optional] 
**charges** | [**Charges**](Charges.md) | Charges | [optional] 
**shipping** | [**ShippingInfo**](ShippingInfo.md) | Shipping Info | [optional] 
**status** | **String** | Status | [optional] 
**updatedDate** | **Date** | Order&#39;s updated date | [optional] 
**updatedBy** | **String** | Order&#39;s updated by | [optional] 


<a name="StatusEnum"></a>
## Enum: StatusEnum


* `Pending` (value: `"Pending"`)

* `Confirmed` (value: `"Confirmed"`)

* `Processing` (value: `"Processing"`)

* `Shipping` (value: `"Shipping"`)

* `Completed` (value: `"Completed"`)




