# PhonespeakApi.Team

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | Team Id | [optional] 
**accountId** | **String** | Account Id of Team | [optional] 
**teammateId** | **[String]** | List of Teammate Id | [optional] 
**name** | **String** | Team Name | [optional] 
**description** | **String** | Team Description | [optional] 
**extension** | **String** | Team Extension | [optional] 
**sipPassword** | **String** | Team sip password | [optional] 
**voicemailGreetings** | [**[Greeting]**](Greeting.md) | Voicemail Greeting | [optional] 
**billingPlan** | **String** | Team Billing Plan | [optional] 
**callRouting** | **Number** | Team Call Routing (RingGroup or CallQueue) | [optional] 
**callQueue** | [**CallQueue**](CallQueue.md) | Team&#39;s Call Queue Number | [optional] 
**ringGroup** | [**RingGroup**](RingGroup.md) | Team&#39;s Ring Group Number | [optional] 
**ivr** | [**[Ivr]**](Ivr.md) | Team&#39;s Ivr Number | [optional] 
**businessHour** | [**BusinessHour**](BusinessHour.md) | Team Business Hour | [optional] 
**callHandlingOpenHour** | [**CallHandlingOpenHour**](CallHandlingOpenHour.md) | Team Call Handling Open Hour | [optional] 
**callHandlingClosedHour** | [**CallHandlingClosedHour**](CallHandlingClosedHour.md) | Team Call Handling Closed Hour | [optional] 
**missedCallHandling** | [**MissedCallHandling**](MissedCallHandling.md) | Team&#39;s miss call routing setting | [optional] 
**emailAddresses** | **[String]** | Team Updated By | [optional] 
**createdDate** | **Date** | Team Created Date | [optional] 
**createdBy** | **String** | Team Created By | [optional] 
**updatedDate** | **Date** | Team Updated Date | [optional] 
**updatedBy** | **String** | Team Updated By | [optional] 
**isDeleted** | **Boolean** | Team is deleted? | [optional] 
**compnyNumbers** | [**[CompanyNumber]**](CompanyNumber.md) | CompanyNumber | [optional] 
**unreadMessages** | **Number** | Unread Messages | [optional] 
**unreadVoicemails** | **Number** | Unread Voicemails | [optional] 
**unreadRecentCalls** | **Number** | Unread Recents | [optional] 
**isDnd** | **Boolean** | Is Do Not Disturb | [optional] 


