# PhonespeakApi.TeammateApi

All URIs are relative to *http://api-dev.phonespeak.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**teammateAddDnd**](TeammateApi.md#teammateAddDnd) | **POST** /client/Teammate/{id}/Dnd | Add Dnd Team
[**teammateAddPhoneNumber**](TeammateApi.md#teammateAddPhoneNumber) | **POST** /client/Teammate/{id}/PhoneNumber | Add Phone Number
[**teammateAuthenticate**](TeammateApi.md#teammateAuthenticate) | **POST** /client/Teammate/{accountId}/Authenticate/{id} | 
[**teammateAvailableContactList**](TeammateApi.md#teammateAvailableContactList) | **GET** /client/Teammate/{id}/AvailableContactList | Get all available number of teammate
[**teammateConvertTextToSpeech**](TeammateApi.md#teammateConvertTextToSpeech) | **POST** /client/Teammate/{id}/VoicemailGreeting/SpeechGreeting | Convert text to speech(voicemail greeting)
[**teammateCreate**](TeammateApi.md#teammateCreate) | **POST** /client/Teammate | Create a single teammate (PreCond : Get and reserve the number to create the teammate)
[**teammateDelete**](TeammateApi.md#teammateDelete) | **DELETE** /client/Teammate/{id} | Delete a single teammate
[**teammateDeletePhoneNumber**](TeammateApi.md#teammateDeletePhoneNumber) | **DELETE** /client/Teammate/{id}/PhoneNumber/{phoneNumberId} | Delete Phone Number
[**teammateDeleteVoicemailGreeting**](TeammateApi.md#teammateDeleteVoicemailGreeting) | **DELETE** /client/Teammate/{id}/VoicemailGreeting/{voicemailId} | Delete voicemail greeting
[**teammateDummyEndpointAvailableContactList**](TeammateApi.md#teammateDummyEndpointAvailableContactList) | **GET** /client/Teammate/{id}/AvailableContactList/DummyEndpoint | Get all available number of teammate (Dummy Endpoint)
[**teammateGet**](TeammateApi.md#teammateGet) | **GET** /client/Teammate/{id} | Retrieve a single teammate
[**teammateGetTeammateEmail**](TeammateApi.md#teammateGetTeammateEmail) | **GET** /client/Teammate/GetTeammateEmail | Check email is exist
[**teammateList**](TeammateApi.md#teammateList) | **GET** /client/Teammate | Get all teammates
[**teammateListAvailableUseNumber**](TeammateApi.md#teammateListAvailableUseNumber) | **GET** /client/Teammate/{id}/AvailableUseNumber | List Caller Id
[**teammateListVoicemailGreetings**](TeammateApi.md#teammateListVoicemailGreetings) | **GET** /client/Teammate/{id}/VoicemailGreeting | Get list  of voicemail greetings
[**teammateLogin**](TeammateApi.md#teammateLogin) | **POST** /client/Teammate/Login | Login
[**teammateLoginImpersonate**](TeammateApi.md#teammateLoginImpersonate) | **POST** /client/Teammate/{accountId}/Impersonate/{id} | Impersonate login
[**teammateNewPassword**](TeammateApi.md#teammateNewPassword) | **PUT** /client/Teammate/{id}/NewPassword | Login and change password.
[**teammateProcessOnBoarding**](TeammateApi.md#teammateProcessOnBoarding) | **PUT** /client/Teammate/{id}/ProcessOnBoarding | On boarding for first time teammate (included create extension)
[**teammateRemoveDnd**](TeammateApi.md#teammateRemoveDnd) | **DELETE** /client/Teammate/{id}/Dnd | Remove Dnd Team
[**teammateResendActivation**](TeammateApi.md#teammateResendActivation) | **POST** /client/Teammate/{id}/Activation | Resend activation email
[**teammateResetPassword**](TeammateApi.md#teammateResetPassword) | **POST** /client/Teammate/ResetPassword | Forgot password
[**teammateResetPassword_0**](TeammateApi.md#teammateResetPassword_0) | **POST** /client/Teammate/{id}/ResetPassword | Admin reset teammate&#39;s password
[**teammateSearchContact**](TeammateApi.md#teammateSearchContact) | **GET** /client/Teammate/{teammateId}/SearchContact | List contact by teammate
[**teammateSearchMessage**](TeammateApi.md#teammateSearchMessage) | **GET** /client/Teammate/{teammateId}/SearchMessage | List message by teammate
[**teammateUnreadCount**](TeammateApi.md#teammateUnreadCount) | **GET** /client/Teammate/{id}/UnreadCount | Total Unread
[**teammateUpdate**](TeammateApi.md#teammateUpdate) | **PUT** /client/Teammate/{id} | Update details
[**teammateUpdateBusinessHour**](TeammateApi.md#teammateUpdateBusinessHour) | **PUT** /client/Teammate/{id}/BusinessHour | Update business hour
[**teammateUpdateCallRecording**](TeammateApi.md#teammateUpdateCallRecording) | **PUT** /client/Teammate/{id}/CallRecording | Update voicemail pin
[**teammateUpdateCallWaiting**](TeammateApi.md#teammateUpdateCallWaiting) | **PUT** /client/Teammate/{id}/CallWaiting | Update call waiting setting
[**teammateUpdateChangePasswordStatus**](TeammateApi.md#teammateUpdateChangePasswordStatus) | **PUT** /client/Teammate/{id}/ChangePasswordStatus | Update change password status (required to change the password after login.)
[**teammateUpdateDefaultCallerId**](TeammateApi.md#teammateUpdateDefaultCallerId) | **PUT** /client/Teammate/{id}/CallerId/{phoneNumberId} | Update default Caller Id
[**teammateUpdateE911Address**](TeammateApi.md#teammateUpdateE911Address) | **PUT** /client/Teammate/{id}/E911Address | Update E911 address
[**teammateUpdateE911AddressList**](TeammateApi.md#teammateUpdateE911AddressList) | **PUT** /client/Teammate/{id}/E911AddressList | Update E911 address List
[**teammateUpdateEmail**](TeammateApi.md#teammateUpdateEmail) | **PUT** /client/Teammate/{id}/Email | Update email
[**teammateUpdateMissedCallHandling**](TeammateApi.md#teammateUpdateMissedCallHandling) | **PUT** /client/Teammate/{id}/MissedCallHandling | Update miss call handling
[**teammateUpdateOnboardingStatus**](TeammateApi.md#teammateUpdateOnboardingStatus) | **PUT** /client/Teammate/{id}/OnboardingStatus | Update onboarding status (required to go through on boarding process after login)
[**teammateUpdateOnlineStatus**](TeammateApi.md#teammateUpdateOnlineStatus) | **PUT** /client/Teammate/{id}/OnlineStatus | Update online status
[**teammateUpdatePassword**](TeammateApi.md#teammateUpdatePassword) | **PUT** /client/Teammate/{id}/UpdatePassword | Teammate update self password
[**teammateUpdatePbxOnlineStatus**](TeammateApi.md#teammateUpdatePbxOnlineStatus) | **PUT** /client/Teammate/{id}/PbxOnlineStatus | Update Pbx online status
[**teammateUpdatePhoneNumber**](TeammateApi.md#teammateUpdatePhoneNumber) | **PUT** /client/Teammate/{id}/PhoneNumber/{phoneNumberId} | Update Phone Number
[**teammateUpdateSelectedVoicemailGreeting**](TeammateApi.md#teammateUpdateSelectedVoicemailGreeting) | **PUT** /client/Teammate/{id}/VoicemailGreeting/{voicemailId} | Set voicemail greeting
[**teammateUpdateStatus**](TeammateApi.md#teammateUpdateStatus) | **PUT** /client/Teammate/{id}/Status | Update status
[**teammateUpdateVoicemailPin**](TeammateApi.md#teammateUpdateVoicemailPin) | **PUT** /client/Teammate/{id}/VoicemailPin | Update voicemail pin
[**teammateUploadProfileImage**](TeammateApi.md#teammateUploadProfileImage) | **POST** /client/Teammate/{id}/ProfileImage | Upload profile image (format-accepted: .gif |.jpg |.jpeg |.png)
[**teammateUploadVoicemailGreeting**](TeammateApi.md#teammateUploadVoicemailGreeting) | **POST** /client/Teammate/{id}/VoicemailGreeting | Upload voicemail greeting


<a name="teammateAddDnd"></a>
# **teammateAddDnd**
> Object teammateAddDnd(id)

Add Dnd Team

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | team id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateAddDnd(id, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| team id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateAddPhoneNumber"></a>
# **teammateAddPhoneNumber**
> Object teammateAddPhoneNumber(id, phoneNumber)

Add Phone Number

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var phoneNumber = new PhonespeakApi.PhoneNumber(); // PhoneNumber | Phone number details


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateAddPhoneNumber(id, phoneNumber, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **phoneNumber** | [**PhoneNumber**](PhoneNumber.md)| Phone number details | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateAuthenticate"></a>
# **teammateAuthenticate**
> Object teammateAuthenticate(id, accountId, authenticationType)



### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | 

var accountId = "accountId_example"; // String | 

var authenticationType = "authenticationType_example"; // String | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateAuthenticate(id, accountId, authenticationType, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **accountId** | **String**|  | 
 **authenticationType** | **String**|  | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateAvailableContactList"></a>
# **teammateAvailableContactList**
> Object teammateAvailableContactList(id)

Get all available number of teammate

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateAvailableContactList(id, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateConvertTextToSpeech"></a>
# **teammateConvertTextToSpeech**
> Object teammateConvertTextToSpeech(id, textToSpeechInfo, textToSpeech)

Convert text to speech(voicemail greeting)

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var textToSpeechInfo = new PhonespeakApi.TextToSpeechInfo(); // TextToSpeechInfo | Text-to-Speech details

var textToSpeech = "/path/to/file.txt"; // File | Convert text to speech(voicemail)


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateConvertTextToSpeech(id, textToSpeechInfo, textToSpeech, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **textToSpeechInfo** | [**TextToSpeechInfo**](TextToSpeechInfo.md)| Text-to-Speech details | 
 **textToSpeech** | **File**| Convert text to speech(voicemail) | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml, multipart/form-data
 - **Accept**: application/json, application/xml

<a name="teammateCreate"></a>
# **teammateCreate**
> Object teammateCreate(teammate)

Create a single teammate (PreCond : Get and reserve the number to create the teammate)

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var teammate = new PhonespeakApi.AddTeammateInfo(); // AddTeammateInfo | Teammate details


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateCreate(teammate, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **teammate** | [**AddTeammateInfo**](AddTeammateInfo.md)| Teammate details | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateDelete"></a>
# **teammateDelete**
> Object teammateDelete(id)

Delete a single teammate

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateDelete(id, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateDeletePhoneNumber"></a>
# **teammateDeletePhoneNumber**
> Object teammateDeletePhoneNumber(id, phoneNumberId)

Delete Phone Number

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var phoneNumberId = "phoneNumberId_example"; // String | Phone number id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateDeletePhoneNumber(id, phoneNumberId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **phoneNumberId** | **String**| Phone number id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateDeleteVoicemailGreeting"></a>
# **teammateDeleteVoicemailGreeting**
> Object teammateDeleteVoicemailGreeting(id, voicemailId)

Delete voicemail greeting

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var voicemailId = "voicemailId_example"; // String | Voicemail greeting id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateDeleteVoicemailGreeting(id, voicemailId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **voicemailId** | **String**| Voicemail greeting id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateDummyEndpointAvailableContactList"></a>
# **teammateDummyEndpointAvailableContactList**
> Object teammateDummyEndpointAvailableContactList(id, opts)

Get all available number of teammate (Dummy Endpoint)

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var opts = { 
  'availableNumberId': "availableNumberId_example", // String | Id
  'availableNumberOwnerId': "availableNumberOwnerId_example", // String | Owner Id
  'availableNumberName': "availableNumberName_example", // String | Name
  'availableNumberNumber': "availableNumberNumber_example", // String | Number
  'availableNumberProfileImage': "availableNumberProfileImage_example", // String | Profile Image
  'availableNumberExtension': "availableNumberExtension_example", // String | Extension
  'availableNumberEmail': "availableNumberEmail_example", // String | Email
  'availableNumberLabel': "availableNumberLabel_example", // String | Label
  'availableNumberIsTeammate': true, // Boolean | Is Teammate
  'availableNumberOnlineStatus': 56 // Number | Online Status
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateDummyEndpointAvailableContactList(id, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **availableNumberId** | **String**| Id | [optional] 
 **availableNumberOwnerId** | **String**| Owner Id | [optional] 
 **availableNumberName** | **String**| Name | [optional] 
 **availableNumberNumber** | **String**| Number | [optional] 
 **availableNumberProfileImage** | **String**| Profile Image | [optional] 
 **availableNumberExtension** | **String**| Extension | [optional] 
 **availableNumberEmail** | **String**| Email | [optional] 
 **availableNumberLabel** | **String**| Label | [optional] 
 **availableNumberIsTeammate** | **Boolean**| Is Teammate | [optional] 
 **availableNumberOnlineStatus** | **Number**| Online Status | [optional] 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateGet"></a>
# **teammateGet**
> Object teammateGet(id)

Retrieve a single teammate

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateGet(id, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateGetTeammateEmail"></a>
# **teammateGetTeammateEmail**
> Object teammateGetTeammateEmail(email)

Check email is exist

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var email = "email_example"; // String | Email


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateGetTeammateEmail(email, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**| Email | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateList"></a>
# **teammateList**
> Object teammateList(role, opts)

Get all teammates

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var role = 56; // Number | The role of the teammate list (0 = All, 1 = Admin, 2 = Standard)

var opts = { 
  'status': 56, // Number | Teammate status (optional)
  'search': "search_example", // String | Search text (optional)
  'orderBy': "orderBy_example", // String | Sort the listing by column (optional)
  'size': 56, // Number | Number of records to retrieve (optional)
  'pageNum': 56 // Number | Page number to retrieve (optional)
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateList(role, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **role** | **Number**| The role of the teammate list (0 &#x3D; All, 1 &#x3D; Admin, 2 &#x3D; Standard) | 
 **status** | **Number**| Teammate status (optional) | [optional] 
 **search** | **String**| Search text (optional) | [optional] 
 **orderBy** | **String**| Sort the listing by column (optional) | [optional] 
 **size** | **Number**| Number of records to retrieve (optional) | [optional] 
 **pageNum** | **Number**| Page number to retrieve (optional) | [optional] 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateListAvailableUseNumber"></a>
# **teammateListAvailableUseNumber**
> Object teammateListAvailableUseNumber(id)

List Caller Id

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateListAvailableUseNumber(id, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateListVoicemailGreetings"></a>
# **teammateListVoicemailGreetings**
> Object teammateListVoicemailGreetings(id)

Get list  of voicemail greetings

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateListVoicemailGreetings(id, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateLogin"></a>
# **teammateLogin**
> Object teammateLogin(authentication)

Login

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var authentication = new PhonespeakApi.Authentication(); // Authentication | Authentication details


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateLogin(authentication, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authentication** | [**Authentication**](Authentication.md)| Authentication details | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateLoginImpersonate"></a>
# **teammateLoginImpersonate**
> Object teammateLoginImpersonate(id, accountId)

Impersonate login

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var accountId = "accountId_example"; // String | Account id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateLoginImpersonate(id, accountId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **accountId** | **String**| Account id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateNewPassword"></a>
# **teammateNewPassword**
> Object teammateNewPassword(id, newPassword)

Login and change password.

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var newPassword = "newPassword_example"; // String | New password


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateNewPassword(id, newPassword, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **newPassword** | **String**| New password | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateProcessOnBoarding"></a>
# **teammateProcessOnBoarding**
> Object teammateProcessOnBoarding(id, phoneNumber)

On boarding for first time teammate (included create extension)

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var phoneNumber = new PhonespeakApi.PhoneNumber(); // PhoneNumber | Phone number details


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateProcessOnBoarding(id, phoneNumber, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **phoneNumber** | [**PhoneNumber**](PhoneNumber.md)| Phone number details | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateRemoveDnd"></a>
# **teammateRemoveDnd**
> Object teammateRemoveDnd(id)

Remove Dnd Team

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | team id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateRemoveDnd(id, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| team id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateResendActivation"></a>
# **teammateResendActivation**
> Object teammateResendActivation(id)

Resend activation email

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateResendActivation(id, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateResetPassword"></a>
# **teammateResetPassword**
> Object teammateResetPassword(email)

Forgot password

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var email = "email_example"; // String | Email


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateResetPassword(email, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**| Email | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateResetPassword_0"></a>
# **teammateResetPassword_0**
> Object teammateResetPassword_0(id, resetPasswordOption)

Admin reset teammate&#39;s password

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var resetPasswordOption = new PhonespeakApi.ResetPasswordOption(); // ResetPasswordOption | Reset password details


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateResetPassword_0(id, resetPasswordOption, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **resetPasswordOption** | [**ResetPasswordOption**](ResetPasswordOption.md)| Reset password details | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateSearchContact"></a>
# **teammateSearchContact**
> Object teammateSearchContact(teammateId, text, opts)

List contact by teammate

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var teammateId = "teammateId_example"; // String | Teammate Id

var text = "text_example"; // String | Search's text

var opts = { 
  'size': 56, // Number | Size (optional)
  'pageNum': 56 // Number | Page number (optional)
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateSearchContact(teammateId, text, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **teammateId** | **String**| Teammate Id | 
 **text** | **String**| Search&#39;s text | 
 **size** | **Number**| Size (optional) | [optional] 
 **pageNum** | **Number**| Page number (optional) | [optional] 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateSearchMessage"></a>
# **teammateSearchMessage**
> Object teammateSearchMessage(teammateId, text, opts)

List message by teammate

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var teammateId = "teammateId_example"; // String | Teammate Id

var text = "text_example"; // String | Search's text

var opts = { 
  'size': 56, // Number | Size (optional)
  'pageNum': 56 // Number | Page number (optional)
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateSearchMessage(teammateId, text, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **teammateId** | **String**| Teammate Id | 
 **text** | **String**| Search&#39;s text | 
 **size** | **Number**| Size (optional) | [optional] 
 **pageNum** | **Number**| Page number (optional) | [optional] 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUnreadCount"></a>
# **teammateUnreadCount**
> Object teammateUnreadCount(id)

Total Unread

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | owner id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUnreadCount(id, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| owner id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdate"></a>
# **teammateUpdate**
> Object teammateUpdate(id, teammate)

Update details

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var teammate = new PhonespeakApi.Teammate(); // Teammate | New teammate details


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdate(id, teammate, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **teammate** | [**Teammate**](Teammate.md)| New teammate details | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateUpdateBusinessHour"></a>
# **teammateUpdateBusinessHour**
> Object teammateUpdateBusinessHour(id, businessHour)

Update business hour

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var businessHour = new PhonespeakApi.BusinessHour(); // BusinessHour | New business hour


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateBusinessHour(id, businessHour, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **businessHour** | [**BusinessHour**](BusinessHour.md)| New business hour | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateUpdateCallRecording"></a>
# **teammateUpdateCallRecording**
> Object teammateUpdateCallRecording(id, callRecordingSetting)

Update voicemail pin

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var callRecordingSetting = "callRecordingSetting_example"; // String | New voicemail pin


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateCallRecording(id, callRecordingSetting, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **callRecordingSetting** | **String**| New voicemail pin | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdateCallWaiting"></a>
# **teammateUpdateCallWaiting**
> Object teammateUpdateCallWaiting(id, isEnable)

Update call waiting setting

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var isEnable = true; // Boolean | Enable the call waiting setting. True is enable, false is disable


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateCallWaiting(id, isEnable, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **isEnable** | **Boolean**| Enable the call waiting setting. True is enable, false is disable | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdateChangePasswordStatus"></a>
# **teammateUpdateChangePasswordStatus**
> Object teammateUpdateChangePasswordStatus(id, status)

Update change password status (required to change the password after login.)

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var status = true; // Boolean | Status (true = required, false = not required)


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateChangePasswordStatus(id, status, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **status** | **Boolean**| Status (true &#x3D; required, false &#x3D; not required) | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdateDefaultCallerId"></a>
# **teammateUpdateDefaultCallerId**
> Object teammateUpdateDefaultCallerId(id, phoneNumberId)

Update default Caller Id

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var phoneNumberId = "phoneNumberId_example"; // String | phone number id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateDefaultCallerId(id, phoneNumberId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **phoneNumberId** | **String**| phone number id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdateE911Address"></a>
# **teammateUpdateE911Address**
> Object teammateUpdateE911Address(id, e911)

Update E911 address

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var e911 = new PhonespeakApi.E911(); // E911 | New E911 info


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateE911Address(id, e911, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **e911** | [**E911**](E911.md)| New E911 info | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateUpdateE911AddressList"></a>
# **teammateUpdateE911AddressList**
> Object teammateUpdateE911AddressList(id, e911List)

Update E911 address List

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var e911List = [new PhonespeakApi.E911()]; // [E911] | New E911 info


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateE911AddressList(id, e911List, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **e911List** | [**[E911]**](E911.md)| New E911 info | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateUpdateEmail"></a>
# **teammateUpdateEmail**
> Object teammateUpdateEmail(id, newEmail, password)

Update email

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var newEmail = "newEmail_example"; // String | New email

var password = "password_example"; // String | Teammate password


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateEmail(id, newEmail, password, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **newEmail** | **String**| New email | 
 **password** | **String**| Teammate password | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdateMissedCallHandling"></a>
# **teammateUpdateMissedCallHandling**
> Object teammateUpdateMissedCallHandling(id, missedCallHandling)

Update miss call handling

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var missedCallHandling = new PhonespeakApi.MissedCallHandling(); // MissedCallHandling | New miss call handling detail


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateMissedCallHandling(id, missedCallHandling, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **missedCallHandling** | [**MissedCallHandling**](MissedCallHandling.md)| New miss call handling detail | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateUpdateOnboardingStatus"></a>
# **teammateUpdateOnboardingStatus**
> Object teammateUpdateOnboardingStatus(id, status)

Update onboarding status (required to go through on boarding process after login)

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var status = true; // Boolean | Status (true = required, false = not required)


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateOnboardingStatus(id, status, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **status** | **Boolean**| Status (true &#x3D; required, false &#x3D; not required) | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdateOnlineStatus"></a>
# **teammateUpdateOnlineStatus**
> Object teammateUpdateOnlineStatus(id, onlineStatus)

Update online status

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var onlineStatus = 56; // Number | Online Status (1 = Online, 2 = Offline, 3 = Do not disturb and 4 = Away)


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateOnlineStatus(id, onlineStatus, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **onlineStatus** | **Number**| Online Status (1 &#x3D; Online, 2 &#x3D; Offline, 3 &#x3D; Do not disturb and 4 &#x3D; Away) | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdatePassword"></a>
# **teammateUpdatePassword**
> Object teammateUpdatePassword(id, password, newPassword)

Teammate update self password

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var password = "password_example"; // String | Teammate password

var newPassword = "newPassword_example"; // String | New password


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdatePassword(id, password, newPassword, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **password** | **String**| Teammate password | 
 **newPassword** | **String**| New password | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdatePbxOnlineStatus"></a>
# **teammateUpdatePbxOnlineStatus**
> Object teammateUpdatePbxOnlineStatus(id)

Update Pbx online status

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdatePbxOnlineStatus(id, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdatePhoneNumber"></a>
# **teammateUpdatePhoneNumber**
> Object teammateUpdatePhoneNumber(id, phoneNumberId, phoneNumber)

Update Phone Number

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var phoneNumberId = "phoneNumberId_example"; // String | Phone number Id

var phoneNumber = new PhonespeakApi.PhoneNumber(); // PhoneNumber | Phone number details


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdatePhoneNumber(id, phoneNumberId, phoneNumber, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **phoneNumberId** | **String**| Phone number Id | 
 **phoneNumber** | [**PhoneNumber**](PhoneNumber.md)| Phone number details | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateUpdateSelectedVoicemailGreeting"></a>
# **teammateUpdateSelectedVoicemailGreeting**
> Object teammateUpdateSelectedVoicemailGreeting(id, voicemailId)

Set voicemail greeting

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var voicemailId = "voicemailId_example"; // String | Voicemail greeting id


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateSelectedVoicemailGreeting(id, voicemailId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **voicemailId** | **String**| Voicemail greeting id | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdateStatus"></a>
# **teammateUpdateStatus**
> Object teammateUpdateStatus(id, status)

Update status

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var status = 56; // Number | Status (1 = Active, 2 = Suspend, 3 = Pending)


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateStatus(id, status, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **status** | **Number**| Status (1 &#x3D; Active, 2 &#x3D; Suspend, 3 &#x3D; Pending) | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUpdateVoicemailPin"></a>
# **teammateUpdateVoicemailPin**
> Object teammateUpdateVoicemailPin(id, voicemailPin)

Update voicemail pin

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var voicemailPin = "voicemailPin_example"; // String | New voicemail pin


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUpdateVoicemailPin(id, voicemailPin, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **voicemailPin** | **String**| New voicemail pin | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, application/xml

<a name="teammateUploadProfileImage"></a>
# **teammateUploadProfileImage**
> Object teammateUploadProfileImage(id, profileImage)

Upload profile image (format-accepted: .gif |.jpg |.jpeg |.png)

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var profileImage = new PhonespeakApi.ProfileImage(); // ProfileImage | Profile image(base64)


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUploadProfileImage(id, profileImage, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **profileImage** | [**ProfileImage**](ProfileImage.md)| Profile image(base64) | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: application/json, application/xml
 - **Accept**: application/json, application/xml

<a name="teammateUploadVoicemailGreeting"></a>
# **teammateUploadVoicemailGreeting**
> Object teammateUploadVoicemailGreeting(id, uploadVoicemailGreeting)

Upload voicemail greeting

### Example
```javascript
var PhonespeakApi = require('phonespeak_api');
var defaultClient = PhonespeakApi.ApiClient.instance;

// Configure API key authorization: Authorization
var Authorization = defaultClient.authentications['Authorization'];
Authorization.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//Authorization.apiKeyPrefix = 'Token';

var apiInstance = new PhonespeakApi.TeammateApi();

var id = "id_example"; // String | Teammate id

var uploadVoicemailGreeting = "/path/to/file.txt"; // File | Upload voicemail greeting


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.teammateUploadVoicemailGreeting(id, uploadVoicemailGreeting, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Teammate id | 
 **uploadVoicemailGreeting** | **File**| Upload voicemail greeting | 

### Return type

**Object**

### Authorization

[Authorization](../README.md#Authorization)

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json, application/xml

