# PhonespeakApi.Cdr

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | Cdr Id | [optional] 
**callerOwnerId** | **String** | Call recording location | [optional] 
**calleeOwnerId** | **String** | Call recording location | [optional] 
**accountId** | **String** | Call recording location | [optional] 
**callAnsweredTime** | **Number** | Date/time the call was answered | [optional] 
**callAnsweredDateTime** | **Date** | Converted Date/time the call was answered | [optional] 
**callCost** | **Number** | Cost of the call | [optional] 
**callCharges** | **Number** | Call Charges | [optional] 
**callDirection** | **String** | Call direction | [optional] 
**callEndedReason** | **String** | Call ended reason (hangup code) | [optional] 
**callDuration** | **Number** | Call Duration | [optional] 
**callEndedTime** | **Number** | Date/time the call ended | [optional] 
**callEndedDateTime** | **Date** | Converted Date/time the call was ended | [optional] 
**callFailCode** | **Number** | Call failure code/reason | [optional] 
**callFinalDestinationDomain** | **String** | Call final destination sip domain | [optional] 
**callFinalDestinationNumber** | **String** | Call final destination phone number/extension | [optional] 
**callFinalDestinationOwnerId** | **String** | Call final destination owner | [optional] 
**callId** | **String** | Unique sip call id | [optional] 
**callPrefix** | **String** | Call prefix | [optional] 
**callRate** | **Number** | Rate for this call | [optional] 
**callRingDuration** | **Number** | Total ring duration | [optional] 
**callStartTime** | **Number** | Date/time the call started | [optional] 
**callStartDateTime** | **Date** | Date/time the call started | [optional] 
**callStatus** | **String** | Call status | [optional] 
**callTalkTime** | **Number** | Duration of the call in seconds | [optional] 
**callTargets** | [**[CallTarget]**](CallTarget.md) | Call targets | [optional] 
**callTrunkName** | **String** | Name of the trunk/provider the call was sent/received | [optional] 
**calleeDomain** | **String** | Callee&#39;s sip domain | [optional] 
**calleeNumber** | **String** | Callee&#39;s phone number/extension | [optional] 
**calleePhonenumber** | **String** | Callee&#39;s phone number | [optional] 
**calleeName** | **String** | Callee&#39;s name | [optional] 
**calleeIsTollFree** | **Boolean** | Callee Is Toll Free | [optional] 
**callerDisplayName** | **String** | Caller&#39;s display name | [optional] 
**callerDomain** | **String** | Caller&#39;s sip domain | [optional] 
**callerNumber** | **String** | Caller&#39;s phone number/extension | [optional] 
**callerPhonenumber** | **String** | Caller&#39;s phone number | [optional] 
**callerName** | **String** | Caller&#39;s name | [optional] 
**callerIsTollFree** | **Boolean** | Caller Is Toll Free | [optional] 
**callerDurationUnit** | **Number** | Cost duration unit | [optional] 
**extension** | **String** | Cost duration unit | [optional] 
**recordingFileName** | **String** | Call recording file name | [optional] 
**tenantDomain** | **String** | PBX Tenant ID | [optional] 
**tenantId** | **String** | PBX Tenant ID | [optional] 
**recordingLocation** | **String** | Call recording location | [optional] 
**timezone** | **Number** | Call recording location | [optional] 
**isRead** | **Boolean** | Call detail record is read? | [optional] 
**isCallerRead** | **Boolean** | Caller is read? | [optional] 
**isCalleeRead** | **Boolean** | Callee is read? | [optional] 
**read** | **[String]** | Teammate Read Status | [optional] 


