# PhonespeakApi.Contact

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | Contact Id | [optional] 
**ownerId** | **String** | Teammate&#39;s Id | [optional] 
**accountId** | **String** | Teammate&#39;s Account Id | [optional] 
**firstName** | **String** | Contact&#39;s first name | [optional] 
**lastName** | **String** | Contact&#39;s last name | [optional] 
**fullName** | **String** | Contact&#39;s full name | [optional] 
**company** | **String** | Contact&#39;s company name | [optional] 
**companyTitle** | **String** | Contact&#39;s Company title | [optional] 
**email** | **String** | Contact&#39;s email address | [optional] 
**profileImage** | **String** | The Contact&#39;s profile picture url | [optional] 
**defaultNumber** | **String** | Default phone number | [optional] 
**contactNumbers** | [**[PhoneNumber]**](PhoneNumber.md) | List of Contact Number | [optional] 
**address** | [**Address**](Address.md) | Contact&#39;s address | [optional] 
**description** | **String** | Contact&#39;s description | [optional] 
**isFavourite** | **Boolean** | Is contact a favourite? | [optional] 
**folderId** | **String** | Contact&#39;s FolderId | [optional] 
**isDeleted** | **Boolean** | Is contact deleted? | [optional] 
**createdDate** | **Date** | Contact created date | [optional] 
**isBlock** | **Boolean** | Is block | [optional] 
**contactImage** | [**ProfileImage**](ProfileImage.md) | List of Contact Number | [optional] 


