# PhonespeakApi.Invoice

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | Invoice Id | [optional] 
**accountId** | **String** | Account Id | [optional] 
**stripeInvoiceId** | **String** | Stripe Invoice Id | [optional] 
**description** | **String** | Invoice description | [optional] 
**statementDescription** | **String** | Extra information about a charge for the customer’s credit card statement.  It must contain at least one letter. If not specified and this invoice is part of a subscription | [optional] 
**amountDue** | **Number** | Invoice amount due | [optional] 
**amountPaid** | **Number** | Invoice amount paid | [optional] 
**amountRemaining** | **Number** | Invoice amount remaining | [optional] 
**applicationFee** | **Number** | Invoice application fee | [optional] 
**subtotal** | **Number** | Invoice subtotal | [optional] 
**tax** | **Number** | Invoice tax | [optional] 
**taxPercent** | **Number** | Invoice tax percent | [optional] 
**total** | **Number** | Invoice total | [optional] 
**totalInDecimal** | **Number** | Invoice total in decimal | [optional] 
**billingReason** | **String** | Invoice billing reason | [optional] 
**chargeId** | **String** | Invoice charge id | [optional] 
**currency** | **String** | Invoice currency | [optional] 
**attemptCount** | **Number** | Invoice attempt paid count | [optional] 
**isAttempted** | **Boolean** | Invoice attempted | [optional] 
**isPaid** | **Boolean** | Invoice is paid | [optional] 
**isDeleted** | **Boolean** | Invoice is delete | [optional] 
**invoicePdf** | **String** | Invoice pdf url | [optional] 
**dueDate** | **Date** | Invoice due date | [optional] 
**periodEnd** | **Date** | Invoice period end | [optional] 
**periodStart** | **Date** | Invoice period start | [optional] 
**invoiceDate** | **Date** | Invoice created date | [optional] 
**invoiceItem** | [**[InvoiceItem]**](InvoiceItem.md) | Invoice plan | [optional] 
**createdDate** | **Date** | Invoice created date | [optional] 
**updatedDate** | **Date** | Invoice created date | [optional] 


