# PhonespeakApi.MessageDetail

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The unique ID of this message | [optional] 
**time** | **Date** | The time stamp of when message was created | [optional] 
**to** | **[String]** | The phone number (or numbers) the message the message is sent to. On a POST, this can be a String, or an array of one or more numbers. In all other places, this will be an array. | [optional] 
**from** | **String** | The phone number the message was sent from | [optional] 
**text** | **String** | The text content of the message | [optional] 
**applicationId** | **String** | The ID of the Application your from number is associated with in the Bandwidth Phone Number Dashboard. | [optional] 
**media** | **[String]** | A list of URLs to include as media attachments as part of the message. | [optional] 
**owner** | **String** |  The phone number this particular message is associated with.   For an outbound message, this is always the from number.   For an inbound message, this will be (one of) the to number(s).  For instance, if this is an inbound group message, the owner field will be set to the to number that this particular copy of the group message belongs to. | [optional] 
**direction** | **String** | Whether the message was sent from Bandwidth, or received by a Bandwidth number | [optional] 
**segmentCount** | **Number** |  This indicates the number of segments the original message from the user is broken into before sending over to carrier networks. Segmentation of messages depends on the size and encoding. Bandwidth will segment the message if the character count is over the below limits:  - 160 for GSM-7  - 70 for UCS-2  For MMS messages the segment count will always be set to 1 | [optional] 


